Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## javax.swing
Class ListModel

Method Summary
`Object` | `getAt(int index)` Support the subscript operator for ListModel.
`Iterator` | `iterator()` Returns an Iterator which traverses the ListModel one element at a time.
`int` | `size()` Provide the standard Groovy `size()` method for `ListModel`.

Method Detail

### getAt

    public Object getAt(int index)

  Support the subscript operator for ListModel.

Parameters:
  `index` - the index of the element to get.

Returns:
  the element at the given index

Since:
  1.6.4

### iterator

    public Iterator iterator()

  Returns an Iterator which traverses the ListModel one element at a time.

Returns:
  an Iterator for a ListModel

Since:
  1.6.4

### size

    public int size()

  Provide the standard Groovy `size()` method for `ListModel`.

Returns:
  the size of the ListModel

Since:
  1.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK